Subject: Re: [PATCH] apic: fix kvm build on UP without IOAPIC

From: Ingo Molnar <[email-masked]>
Date: Fri, 6 Jul 2012 13:13:14 +0200

* H. Peter Anvin <[email-masked]> wrote:

> On 07/01/2012 08:05 AM, Michael S. Tsirkin wrote:
> >On UP i386, when APIC is disabled
> ># CONFIG_X86_UP_APIC is not set
> ># CONFIG_PCI_IOAPIC is not set
> >
> >code looking at apicdrivers never has any effect but it
> >still gets compiled in. In particular, this causes
> >build failures with kvm, but it generally bloats the kernel
> >unnecessarily.
> >
> >Fix by defining both __apicdrivers and __apicdrivers_end
> >to be NULL when CONFIG_X86_LOCAL_APIC is unset: I verified
> >that as the result any loop scanning __apicdrivers gets optimized out by
> >the compiler.
> >
> >Warning: a .config with apic disabled doesn't seem to boot
> >for me (even without this patch). Still verifying why,
> >meanwhile this patch is compile-tested only.
> >
> >Signed-off-by: Michael S. Tsirkin <[email-masked]>
> >---
> >
> >Note: if this patch makes sense, can x86 maintainers
> >please ACK applying it through the kvm tree, since that is
> >where we see the issue that it addresses?
> >Avi, Marcelo, maybe you can carry this in kvm/linux-next as a temporary
> >measure so that linux-next builds?
> >
> 
> I'm not happy about that as a workflow, but since you guys have an
> immediate problem I guess we can do that.

I'm rather unhappy about this workflow - we've got quite a few 
apic bits in the x86 tree this cycle as well and need extra 
external interaction, not.

Which KVM tree commit caused this, could someone please give a 
lkml link or quote it here? It's not referenced in the fix patch 
either.

Thanks,

	Ingo